#!/usr/bin/env bash
# 定义应用组名
group_name='ezhizao'
# 定义应用名称
app_name='ezhizao_dms_supplier_api'
# 定义挂载目录名称
volume_name='ezhizao_dms_supplier'
# 定义应用版本
app_version='1.0-SNAPSHOT'
# 定义后端端口
app_port=7005
# 定义应用环境
profile_active='linux'
echo '----copy jar----'
docker stop ${app_name}
echo '----stop container----'
docker rm ${app_name}
echo '----rm container----'
docker rmi ${group_name}/${app_name}:${app_version}
echo '----rm image----'
# 打包编译docker镜像
docker build -t ${group_name}/${app_name}:${app_version} .
echo '----build image----'
docker run -p ${app_port}:${app_port} --name ${app_name} --network host \
-e 'spring.profiles.active'=${profile_active} \
-e TZ="Asia/Shanghai" \
-v /home/build/${volume_name}/logs:/var/logs \
-v /home/files:/home/files \
-d ${group_name}/${app_name}:${app_version}
echo '----start container----'
docker system prune -f
echo '----clear docker----'
